:root {
  --bg-light: #ffffff;
  --text-light: #000000;
  --bg-dark: #121212;
  --text-dark: #f0f0f0;
  --card-light: #f9f9f9;
  --card-dark: #1f1f1f;
}

body {
  margin: 0;
  font-family: NotoSerifJP, Roboto, sans-serif, monospace;
  background-color: var(--bg-light);
  color: var(--text-light);
/*  transition: background-color 0.4s, color 0.4s;*/
}

body.darkMode {
  background-color: var(--bg-dark);
  color: var(--text-dark);
}
/*
.card {
  background-color: var(--card-light);
  padding: 1rem;
  margin: 1rem auto;
  border-radius: 10px;
  width: 80%;
  transition: background-color 0.4s;
}
body.darkMode .card {
  background-color: var(--card-dark);
}
*/
.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #fff;
}
body.darkMode .navbar {
  background-color: #121212;
}

.nav-left {
  margin-left: 13em;
  font-weight: bold;
}
.nav-right {
  display: flex;
  align-items: center;
}

/* トグルスイッチ */
.theme-switch {
  position: relative;
  display: inline-block;
  top: 27px;
  width: 50px;
  height: 28px;
}
.theme-switch input {
  opacity: 0;
  width: 0;
  height: 0;
}
.slider {
  background-color: #888;
  border-radius: 30px;
  position: absolute;
  cursor: pointer;
  inset: 0;
/*  transition: background-color 0.4s;*/
}
.slider::before {
  content: "";
  position: absolute;
  height: 22px;
  width: 22px;
  left: 3px;
  bottom: 3px;
  background-color: #fff;
  border-radius: 50%;
/*  transition: transform 0.4s;*/
}
input:checked + .slider::before {
  transform: translateX(22px);
}
.slider .icon {
  position: absolute;
  top: -2px;
  font-size: 20px;
  pointer-events: none;
/*  transition: transform 0.3s;*/
}
input:checked + .slider .icon {
  transform: translateX(22px);
}

/* リセットボタン */
#resetBtn {
  position: absolute;
  top: 24px;
  left: 155px;
  background: none;
  border: none;
  font-size: 20px;
  cursor: pointer;
}

div {
  margin-left: 3em;
}
h1 {
  font-size: 1.5em;
  font-weight: bold;
  margin: 3em 0 0 4em;
}
p {
  line-height: 1.5em;
  padding: 1em;
  margin: 1em 0 1em 5em;
  width: 58%;
}
a {
    color: #00793D;
    text-decoration: underline solid green;
}
a:hover {
    color: #993300;
    text-decoration: none;
}
.pic {
  display: inline-block;
  margin-right: 2em;
}
.aka {
	color: red;
}
@font-face {
  font-family: 'NotoSerifJP';
  src: url('../../font/NotoSerifJP-Regular.otf') format('opentype');
}
